Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantMaster.Builder

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantMaster.Builder

Enclosing class:
  `AssistantMaster`

public static class AssistantMaster.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssistantMaster`
  `build()`
  `AssistantMaster.Builder`
  `setActionIds(List<Integer> actionIds)`
  `AssistantMaster.Builder`
  `setComment(String comment)`
  `AssistantMaster.Builder`
  `setConfig(String config)`
  `AssistantMaster.Builder`
  `setId(int id)`
  `AssistantMaster.Builder`
  `setRoleIds(List<Integer> roleIds)`
  `AssistantMaster.Builder`
  `setShowBotAssistant(boolean showBotAssistant)`
  `AssistantMaster.Builder`
  `setShowClient(boolean showClient)`
  `AssistantMaster.Builder`
  `setShowClientContract(boolean showClientContract)`
  `AssistantMaster.Builder`
  `setShowMobileAssistant(boolean showMobileAssistant)`
  `AssistantMaster.Builder`
  `setShowWebAssistant(boolean showWebAssistant)`
  `AssistantMaster.Builder`
  `setShowWebLKAssistant(boolean showWebLKAssistant)`
  `AssistantMaster.Builder`
  `setStartActionId(String startActionId)`
  `AssistantMaster.Builder`
  `setStatus(int status)`
  `AssistantMaster.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public AssistantMaster.Builder setId(int id)

  - ### setTitle

    public AssistantMaster.Builder setTitle(String title)

  - ### setStatus

    public AssistantMaster.Builder setStatus(int status)

  - ### setConfig

    public AssistantMaster.Builder setConfig(String config)

  - ### setComment

    public AssistantMaster.Builder setComment(String comment)

  - ### setActionIds

    public AssistantMaster.Builder setActionIds(List<Integer> actionIds)

  - ### setRoleIds

    public AssistantMaster.Builder setRoleIds(List<Integer> roleIds)

  - ### setStartActionId

    public AssistantMaster.Builder setStartActionId(String startActionId)

  - ### setShowClient

    public AssistantMaster.Builder setShowClient(boolean showClient)

  - ### setShowClientContract

    public AssistantMaster.Builder setShowClientContract(boolean showClientContract)

  - ### setShowWebAssistant

    public AssistantMaster.Builder setShowWebAssistant(boolean showWebAssistant)

  - ### setShowMobileAssistant

    public AssistantMaster.Builder setShowMobileAssistant(boolean showMobileAssistant)

  - ### setShowWebLKAssistant

    public AssistantMaster.Builder setShowWebLKAssistant(boolean showWebLKAssistant)

  - ### setShowBotAssistant

    public AssistantMaster.Builder setShowBotAssistant(boolean showBotAssistant)

  - ### build

    public AssistantMaster build()